Part Point/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{Docnav/de |Ellipse |Linie |Part |IconL=Part_Ellipse.svg |IconR=Part_Line.svg |IconC=Workbench_Part.svg }}")
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/de
|[[Part_Ellipse|Ellipse]]
|[[Part_Ellipse/de|Ellipse]]
|[[Part_Line|Line]]
|[[Part_Line/de|Linie]]
|[[Part_Workbench|Part]]
|[[Part_Workbench/de|Part]]
|IconL=Part_Ellipse.svg
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconR=Part_Line.svg

Revision as of 06:00, 21 April 2022

Part Punkt

Menüeintrag
Formteil → Grundkörper erstellen → Punkt
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundkörper

Description

Beschreibung

Ein Punkt (Knoten) geometrischer Grundkörper.

Anwendung

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatenX (Distance): The X coordinate of the point. The default is 0mm.
  • DatenY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatenZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()